# mysql
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#spring.datasource.url=jdbc:mysql://47.105.216.34:3306/travel?characterEncoding=utf-8&useSSL=false&serverTimezone=UTC
#spring.datasource.username=remote
spring.datasource.tomcat.initSQL=SET NAMES utf8mb4
spring.datasource.url=jdbc:mysql://127.0.0.1:3306/travel?useSSL=false&serverTimezone=UTC
spring.datasource.username=root
spring.datasource.password=123456
spring.jpa.hibernate.naming.physical-strategy=com.wondernect.elements.rdb.config.WondernectPhysicialNamingStrategy
spring.jpa.show-sql=false
spring.jpa.database=mysql
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5InnoDBDialect
spring.jpa.properties.hibernate.show_sql=false
spring.jpa.properties.hibernate.format_sql=false
# none - 不做任何处理
# validate - 加载hibernate时，验证创建数据库表结构
# create - 每次加载hibernate，重新创建数据库表结构，这就是导致数据库表数据丢失的原因
# create-drop - 加载hibernate时创建，退出是删除表结构
# update - 加载hibernate自动更新数据库结构
spring.jpa.properties.hibernate.hbm2ddl.auto=update
# rdb
wondernect.elements.rdb.limit-page-size=1000
# i18n messages
spring.messages.fallback-to-system-locale=false
spring.messages.encoding=UTF-8
spring.messages.basename=i18n/messages
wondernect.elements.i18n.default-locale=CHINA
wondernect.elements.i18n.locale-param=lang
# algorithm
wondernect.elements.algorithm.snowflake.start-timestamp=1514000000000
wondernect.elements.algorithm.snowflake.worker-id=0
wondernect.elements.algorithm.snowflake.data-id=1
# generator
wondernect.elements.generator.uuid-replace=true
wondernect.elements.generator.uuid-replacement=
# redis
wondernect.elements.redis.host=127.0.0.1
wondernect.elements.redis.password=
wondernect.elements.redis.database=0
wondernect.elements.redis.port=6379
wondernect.elements.redis.service-identifier=travel
# context
wondernect.elements.context.common.enable=true
wondernect.elements.context.common.path-patterns=/v5/**
wondernect.elements.context.authorize.enable=true
wondernect.elements.context.authorize.path-patterns=/v5/**
wondernect.elements.context.authorize.local-auth-valid-roles[0]=PLATFORM_ADMIN_INIT
wondernect.elements.context.authorize.local-auth-valid-roles[1]=PLATFORM_USER_INIT
wondernect.elements.context.authorize.local-auth-valid-roles[2]=APPLICATION_ADMIN_INIT
wondernect.elements.context.authorize.local-auth-valid-roles[3]=APPLICATION_USER_CUSTOM
# session
wondernect.services.session.captcha-type=0
wondernect.services.session.captcha-length=4
wondernect.services.session.captcha-expires=1800
wondernect.services.session.code-expires=7200
# role
wondernect.services.rbac.parent-menu-id=0
wondernect.services.rbac.platform-admin-role-name=平台管理员
wondernect.services.rbac.platform-admin-role-desc=平台管理员
wondernect.services.rbac.platform-user-role-name=商家
wondernect.services.rbac.platform-user-role-desc=商家
wondernect.services.rbac.application-admin-role-name=员工
wondernect.services.rbac.application-admin-role-desc=员工
wondernect.services.rbac.application-user-role-name=司机
wondernect.services.rbac.application-user-role-desc=司机
# 用户角色是否一对一
wondernect.services.rbac.user-role-type=1
# 用户可见角色级别
wondernect.services.rbac.visible-role-level=0
# 平台管理员配置
wondernect.services.user.name=旅王出行
wondernect.services.user.mobile=13063063592
wondernect.services.user.password=e10adc3949ba59abbe56e057f20f883e
# FastDFS
fdfs.so-timeout=1501
fdfs.connect-timeout=601
fdfs.thumb-image.width=150
fdfs.thumb-image.height=150
fdfs.tracker-list=120.78.53.171:22122
wondernect.elements.file-client.fastdfs-file-server=http://120.78.53.171
# local file
wondernect.elements.file-client.local-file-save-path=travel_file
wondernect.elements.file-client.local-file-server=http://www.kingtrip.vip/travel_file
spring.servlet.multipart.max-file-size=1000MB
spring.servlet.multipart.max-request-size=1000MB
# swagger api
wondernect.elements.swagger.title=travel-client
wondernect.elements.swagger.service-url=http://localhost:8080/swagger-ui.html
wondernect.elements.swagger.contact-name=travel-client
wondernect.elements.swagger.contact-url=travel-client
wondernect.elements.swagger.contact-email=travel-client
wondernect.elements.swagger.description=travel-client
wondernect.elements.swagger.version=v5
# sms config
wondernect.elements.sms-client.aliyun.access-key-id=LTAIUgbi66XPIgIs
wondernect.elements.sms-client.aliyun.access-key-secret=9Q6ivnvwMh4jvLDbQKsnvyIWLe21MW